UPP Docs
Card

List cards

GET
/cards

The merchant's cards, newest first, with cursor pagination. A card is created when its application is issued; status changes are sent with the card.status_changed webhook.

Card number, CVV, expiry date and balance are not returned.

Authorization

merchantApiKeymerchantTimestampmerchantNoncemerchantSignature
headerX-API-KEY<token>

Merchant API key (starts with upk_, also accepts api-key); signing headers are also required

headerX-Timestamp<token>

Unix timestamp in seconds, within 300 seconds of server time

headerX-Nonce<token>

Unique per request; cannot be reused with the same credential during the timestamp validity window

headerX-Signature<token>

Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest

Query Parameters

status?string
  • pending_active: issued, not yet activated by the issuer
  • active: usable
  • freezing / unfreezing: freeze or unfreeze in progress
  • frozen: frozen
  • terminating: termination in progress
  • terminated: terminated (cards terminated at the issuer or bank also become terminated after a sync)

To freeze, unfreeze or terminate, see POST /cards/{cardId}/freeze, /unfreeze and /terminate.

Value in"pending_active""active""freezing""unfreezing""frozen""terminating""terminated"
customer_id?string

Only cards of this customer (starts with cus_)

cardholder_id?string

Only cards of this cardholder (starts with chd_)

limit?integer

Page size, 1 to 100, default 20

Range1 <= value <= 100
cursor?string

next_cursor from the previous page

Response Body

Cards; next_cursor is null when there are no more

application/json
  1. response
data*array<>
next_cursor*string|null
Example Request
curl -X GET 'https://sandbox.getupp.net/api/v1/cards'
Example Response
{  "data": [    {      "id": "string",      "card_product_id": "string",      "application_id": "string",      "order_no": "string",      "cardholder_id": "string",      "customer_id": "string",      "currency": "string",      "status": "pending_active",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}